<?php
/**
 * @package WordPress
 * @subpackage MagUp_Theme
 */

get_header();
?>
<div id="content_frame">
	<div id="content" class="narrowcolumn" role="main">

		<?php if (have_posts()) : ?>

 	  <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
 	  <?php /* If this is a category archive */ if (is_category()) { ?>
		<h2 class="pagetitle"><?php printf(__('Archive for the &#8216;%s&#8217; Category','magup'), single_cat_title('', false)); ?></h2>
 	  <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
		<h2 class="pagetitle"><?php printf(__('Posts Tagged &#8216;%s&#8217;','magup'), single_tag_title('', false) ); ?></h2>
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle"><?php printf(_x('Archive for %s | Daily archive page','magup'), get_the_time(__('F jS, Y','magup'))); ?></h2>
 	  <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle"><?php printf(_x('Archive for %s | Monthly archive page','magup'), get_the_time(__('F, Y','magup'))); ?></h2>
 	  <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle"><?php printf(_x('Archive for %s | Yearly archive page','magup'), get_the_time(__('Y','magup'))); ?></h2>
	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle"><?php _e('Author Archive','magup'); ?></h2>
 	  <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="pagetitle"><?php _e('Blog Archives','magup'); ?></h2>
 	  <?php } ?>


		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Older Entries','magup')); ?></div>
			<div class="alignright"><?php previous_posts_link(__('Newer Entries &raquo;','magup')); ?></div>
		</div>

		<?php while (have_posts()) : the_post(); ?>
		<div <?php post_class(); ?>>
				<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s','magup'), the_title_attribute('echo=0')); ?>"><?php the_title(); ?></a></h3>
				<small><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s','magup'), the_title_attribute('echo=0')); ?>"><?php the_time(__('l, F jS, Y','magup')) ?></a></small>

				<div class="entry">
					<?php the_content() ?>
					
				</div>

				<p class="postmetadata"><?php the_tags(__('Tags:','magup'), ', ', '<br />'); ?> <?php printf(__('Posted in %s','magup'), get_the_category_list(', ')); ?> | <?php edit_post_link(__('Edit','magup'), '', ' | '); ?>  <?php comments_popup_link(__('No Comments &#187;','magup'), __('1 Comment &#187;','magup'), __('% Comments &#187;','magup'), '', __('Comments Closed','magup') ); ?></p>

			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Older Entries','magup')); ?></div>
			<div class="alignright"><?php previous_posts_link(__('Newer Entries &raquo;','magup')); ?></div>
		</div>
	<?php else :

		if ( is_category() ) { // If this is a category archive
			printf("<h2 class='center'>".__("Sorry, but there aren't any posts in the %s category yet.",'magup').'</h2>', single_cat_title('',false));
		} else if ( is_date() ) { // If this is a date archive
			echo('<h2>'.__("Sorry, but there aren't any posts with this date.",'magup').'</h2>');
		} else if ( is_author() ) { // If this is a category archive
			$userdata = get_userdatabylogin(get_query_var('author_name'));
			printf("<h2 class='center'>".__("Sorry, but there aren't any posts by %s yet.",'magup')."</h2>", $userdata->display_name);
		} else {
			echo("<h2 class='center'>".__('No posts found.','magup').'</h2>');
		}
	  get_search_form();
	endif;
?>
	</div>

<?php get_sidebar(); ?>
	<div class="clear"></div>
</div>
<?php get_footer(); ?>
